GEGELATI

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Selector::MapElites::MapElitesSelectionMetrics Class Reference

Class to extract metrics from either the agent or the environment. More...

`#include <mapElitesSelectionMetrics.h>`

Inheritance diagram for Selector::MapElites::MapElitesSelectionMetrics:

## Public Member Functions
| MapElitesSelectionMetrics (std::vector< std::shared_ptr< const MapElitesDescriptor > > descriptors)
| Default constructor of MapEliteselectionMetrics with a vector of descriptors.
| MapElitesSelectionMetrics (double score, const std::map< std::shared_ptr< const MapElitesDescriptor >, std::vector< double > > &mapDescriptors)
| Constructor of MapEliteselectionMetrics with a vector of scores.
| MapElitesSelectionMetrics (double score)
| Constructor of MapEliteselectionMetrics with a vector of scores.
const std::map< std::shared_ptr< const MapElitesDescriptor >, std::vector< double > > & | getMapDescriptors () const
| Get a const ref to the scorePerClass attribute.
void | initMetrics (const TPG::TPGVertex *agent, const Learn::LearningEnvironment &learningEnvironment) override
| Specialization of the initialisation of the metrics.
void | extractMetricsStep (const TPG::TPGVertex *agent, std::vector< double > actionValues, const Learn::LearningEnvironment &learningEnvironment) override
| Specialization of the extraction of the metrics at the end of an episode.
void | extractMetricsEpisode (const TPG::TPGVertex *agent, size_t nbStepsExecuted, const Learn::LearningEnvironment &learningEnvironment) override
| Specialization of the extraction of the metrics at the end of an episode.
virtual void | weightedSum (std::shared_ptr< SelectionMetrics > other, size_t nbEvaluation, size_t nbEvaluationOther) override
| Specialization of weightedSum method to add the score per class and nbEvalPerClass.
Public Member Functions inherited from Selector::SelectionMetrics
| SelectionMetrics ()=default
| Default constructor.
| SelectionMetrics (double score, double utility=0)
| Constructor with score and utility initialization.
virtual double | getScore () const
virtual double | getUtility () const

## Protected Attributes
std::map< std::shared_ptr< const MapElitesDescriptor >, std::vector< double > > | mapDescriptors
| Map storing a descriptor and a Vector storing a double value per descriptor (i.e. per Action) of a classification LearningEnvironment.
Protected Attributes inherited from Selector::SelectionMetrics
double | score = 0
double | utility = 0

## Detailed Description

Class to extract metrics from either the agent or the environment.

This metrics can be used to specify the selection of the selector. This class does not implement any metrics, it need to be override by the different selection methods.

## Constructor & Destructor Documentation

## ◆ MapElitesSelectionMetrics() [1/3]

Selector::MapElites::MapElitesSelectionMetrics::MapElitesSelectionMetrics | ( | std::vector< std::shared_ptr< const MapElitesDescriptor > > | descriptors | ) |
| inline

Default constructor of MapEliteselectionMetrics with a vector of descriptors.

Parameters

  [in] | descriptors | the vector of descriptors to use.

## ◆ MapElitesSelectionMetrics() [2/3]

Selector::MapElites::MapElitesSelectionMetrics::MapElitesSelectionMetrics | ( | double | score,
|  | const std::map< std::shared_ptr< const MapElitesDescriptor >, std::vector< double > > & | mapDescriptors )
| inline

Constructor of MapEliteselectionMetrics with a vector of scores.

Parameters

  [in] | score | the score obtained by the agent.
  [in] | mapDescriptors | the map of descriptors associated to their descriptor values.

## ◆ MapElitesSelectionMetrics() [3/3]

Selector::MapElites::MapElitesSelectionMetrics::MapElitesSelectionMetrics | ( | double | score | ) |
| inline

Constructor of MapEliteselectionMetrics with a vector of scores.

Parameters

  [in] | score | the score obtained by the agent.

## Member Function Documentation

## ◆ extractMetricsEpisode()

void Selector::MapElites::MapElitesSelectionMetrics::extractMetricsEpisode | ( | const TPG::TPGVertex * | agent,
|  | size_t | nbStepsExecuted,
|  | const Learn::LearningEnvironment & | learningEnvironment )
| override virtual

Specialization of the extraction of the metrics at the end of an episode.

Reimplemented from Selector::SelectionMetrics.

## ◆ extractMetricsStep()

void Selector::MapElites::MapElitesSelectionMetrics::extractMetricsStep | ( | const TPG::TPGVertex * | agent,
|  | std::vector< double > | actionValues,
|  | const Learn::LearningEnvironment & | learningEnvironment )
| override virtual

Specialization of the extraction of the metrics at the end of an episode.

Reimplemented from Selector::SelectionMetrics.

## ◆ initMetrics()

void Selector::MapElites::MapElitesSelectionMetrics::initMetrics | ( | const TPG::TPGVertex * | agent,
|  | const Learn::LearningEnvironment & | learningEnvironment )
| override virtual

Specialization of the initialisation of the metrics.

Reimplemented from Selector::SelectionMetrics.

## ◆ weightedSum()

void Selector::MapElites::MapElitesSelectionMetrics::weightedSum | ( | std::shared_ptr< SelectionMetrics > | other,
|  | size_t | nbEvaluation,
|  | size_t | nbEvaluationOther )
| override virtual

Specialization of weightedSum method to add the score per class and nbEvalPerClass.

Reimplemented from Selector::SelectionMetrics.

The documentation for this class was generated from the following files:

- D:/a/gegelati/gegelati/gegelatilib/include/selector/mapElites/mapElitesSelectionMetrics.h
- D:/a/gegelati/gegelati/gegelatilib/src/selector/mapElites/mapElitesSelectionMetrics.cpp